/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-11-14
 * Changed:         2024-05-31
 *
 * */

#ifndef LS_STD_I_LISTENER_HPP
#define LS_STD_I_LISTENER_HPP

#include <ls-std/core/Class.hpp>
#include <ls-std/core/definition.hpp>

namespace ls::std::core::interface_type
{
  ls_std_class IListener // TODO: deprecated
  {
    public:

      IListener();
      virtual ~IListener();

      virtual void listen(const Class &_info) = 0;
  };
}

#endif
